<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2023-09-22 14:25:37
////////////////////


/**
 * Static Model gate 章节表
 */
class sm_gate
{

    /**
    * @var UInt32 用途未知！！请到数据库中添加字段注释。  
    */
    public $id;

    /**
    * @var Int32 关卡id: 
    *  命名规律:关卡类型（1主线2主线挑战）+关卡序号（最大999）+关卡风格（编号待定）+关卡类型（0四方连续1上下连续2固定）+关卡难度（1普通2困难3噩梦）
    *  例如：10010101,20010111  
    */
    public $gateId;

    /**
    * @var String 名称  
    */
    public $gateName;

    /**
    * @var Int32 所属于某个章节的章节Id  
    */
    public $challengeGateId;

    /**
    * @var Int32 挑战关卡解锁的条件关卡id  
    */
    public $challengeUnlockId;

    /**
    * @var Int32 扣除体力 default(5) 
    */
    public $cost_tili;

    /**
    * @var String 章节描述文字  
    */
    public $desc;

    /**
    * @var String 通关奖励字符串(包含首次和再刷)  
    */
    public $reward_win;

    /**
    * @var String 通关失败奖励  
    */
    public $reward_fail;

    /**
    * @var String 5分钟  
    */
    public $first_ts1;

    /**
    * @var String 首次超过5分钟奖励宝箱id  
    */
    public $first_reward1;

    /**
    * @var String 10分钟  
    */
    public $first_ts2;

    /**
    * @var String 首次超过10分钟奖励宝箱id  
    */
    public $first_reward2;

    /**
    * @var String 通过  
    */
    public $first_ts3;

    /**
    * @var String 首次通关奖励宝箱id  
    */
    public $first_reward3;

    /**
    * @var Int32 复活次数限制: 1(次)/0(无)/999(无限) default(0) 
    */
    public $reliveLimit;

    /**
    * @var Int32 金币补给宝箱金币基础值 default(100) 
    */
    public $goldBujiBox;

    /**
    * @var Int32 是否开放地图: 0 否, 1 是(默认) default(1) 
    */
    public $isOpenMap;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $icon;

    /**
    * @var Int32 通关X关解锁  
    */
    public $unlockGateId;

    /**
    * @var Int32 巡逻每小时产生金币  
    */
    public $gold_xunluo;

    /**
    * @var Int32 巡逻每小时产生经验  
    */
    public $exp_xunluo;

    /**
    * @var String 产生精华道具时间(单位)分钟；例:开始分钟数,结束分钟数，两者间隔时间分钟数-道具ItemId，num;开始分钟数,结束分钟数，两者间隔时间分钟数-道具ItemId，num  
    */
    public $xunluo_item_ts;

    /**
    * @var String 产生装备的时间信息（单位）分钟  
    */
    public $xunluo_equip_ts;

    /**
    * @var String 产生图纸的时间信息（单位）分钟  
    */
    public $xunluo_tuzhi_ts;

    /**
    * @var String 快速巡逻奖励信息  
    */
    public $xueluo_quick_reward;

    /**
    * @var Int32 快速巡逻每日可领取次数限制  
    */
    public $xueluo_quick_num;

}

