<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Info_Gates
 *
 * @author c'y'zhao
 */
class Info_Gates extends Object_ext {

    /**
     * 当前剧情选择的关卡
     */
    public $CurrentGateId = 0;

    /**
     * 已解锁剧情关卡的最大id
     * @var type
     */
    public $UnlockedGatesMaxId = 0;

    /**
     * 章节列表
     * @var Ins_GateInfo
     */
    public $GateList = null;

    /**
     * 挑战功能领取记录
     * @var type
     */
    public $GatesChallengeRecord = null;
    
    /**
     * 进化解锁记录
     * @var type
     */
    #[ArrayType]
    public $evolveUnlockRecord = array();

    /**
     * 巡逻领取奖励的时间
     * @var int
     */
    public $xunluo_StartTs = 0; 

    /**
     * 快速巡逻的购买记录
     * @var int
     */
    public $xunluo_quick_buyRecord = 0;
    
    public function initialize() {
        $startId = 1;
        $this->CurrentGateId = $startId;
        $this->UnlockedGatesMaxId = $startId;

        $this->GateList = new \stdClass();
        $Ins_GateInfo = new Ins_GateInfo();
        $Ins_GateInfo->GateId = $this->CurrentGateId;
        $this->GateList->$startId = $Ins_GateInfo;

        $this->GatesChallengeRecord = new \stdClass();
        $this->xunluo_StartTs = now();
    }

    public function __construct($arg = null) {
        if ($arg == null) {
            if ($this->CurrentGateId == 0) {
                $startId = 1;
                $this->CurrentGateId = $startId;
                $this->UnlockedGatesMaxId = $startId;

                $this->GateList = new \stdClass();
                $Ins_GateInfo = new Ins_GateInfo();
                $Ins_GateInfo->GateId = $this->CurrentGateId;
                $this->GateList->$startId = $Ins_GateInfo;
            }

            $this->GatesChallengeRecord = new \stdClass();
            $this->evolveUnlockRecord = array();
            
            $this->xunluo_StartTs = now();
        } else {
            parent::__construct($arg);
        }
    }
}
